summaryrefslogtreecommitdiffstats
path: root/system/gtk-vnc
diff options
context:
space:
mode:
author Ash Wiren <ash@spooksoftware.com>2010-05-13 01:00:49 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:00:49 +0200
commit7e552942f5d742d54a5ba86f18b13f5ecd5b7a97 (patch)
tree0dc1d6ed7b9a790f1fabfb0161015d9289b24ae6 /system/gtk-vnc
parent645177981ad68d3830d6f2c105133ae3c0136735 (diff)
downloadslackbuilds-7e552942f5d742d54a5ba86f18b13f5ecd5b7a97.tar.gz
slackbuilds-7e552942f5d742d54a5ba86f18b13f5ecd5b7a97.tar.xz
system/gtk-vnc: Added to 13.0 repository
Diffstat (limited to 'system/gtk-vnc')
-rw-r--r--system/gtk-vnc/README5
-rw-r--r--system/gtk-vnc/gtk-vnc.SlackBuild82
-rw-r--r--system/gtk-vnc/gtk-vnc.info10
-rw-r--r--system/gtk-vnc/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/system/gtk-vnc/README b/system/gtk-vnc/README
new file mode 100644
index 0000000000..d042c314b9
--- /dev/null
+++ b/system/gtk-vnc/README
@@ -0,0 +1,5 @@
+gtk-vnc is a VNC viewer widget for GTK. It is built using
+coroutines allowing it to be completely asynchronous while
+remaining single threaded. It provides a core C library, and
+bindings for Python (PyGTK)
+
diff --git a/system/gtk-vnc/gtk-vnc.SlackBuild b/system/gtk-vnc/gtk-vnc.SlackBuild
new file mode 100644
index 0000000000..cb97281f5d
--- /dev/null
+++ b/system/gtk-vnc/gtk-vnc.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for gtk-vnc
+
+# Written by Ash Wiren ash@spooksoftware.com
+
+PRGNAM=gtk-vnc
+VERSION=${VERSION:-0.3.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ -prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-examples \
+ --with-libview \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING.LIB ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gtk-vnc/gtk-vnc.info b/system/gtk-vnc/gtk-vnc.info
new file mode 100644
index 0000000000..540f15b351
--- /dev/null
+++ b/system/gtk-vnc/gtk-vnc.info
@@ -0,0 +1,10 @@
+PRGNAM="gtk-vnc"
+VERSION="0.3.9"
+HOMEPAGE="http://live.gnome.org/gtk-vnc/"
+DOWNLOAD="http://ftp.acc.umu.se/pub/GNOME/sources/gtk-vnc/0.3/gtk-vnc-0.3.9.tar.gz"
+MD5SUM="26690465f413a017ae95514af9f4e41d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ash Wiren"
+EMAIL="ash@spooksoftware.com"
+APPROVED="rworkman"
diff --git a/system/gtk-vnc/slack-desc b/system/gtk-vnc/slack-desc
new file mode 100644
index 0000000000..1aa592b796
--- /dev/null
+++ b/system/gtk-vnc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gtk-vnc: gtk-vnc (VNC viewer widget for GTK)
+gtk-vnc:
+gtk-vnc: gtk-vnc is a VNC viewer widget for GTK. It is built using
+gtk-vnc: coroutines allowing it to be completely asynchronous while
+gtk-vnc: remaining single threaded. It provides a core C library, and
+gtk-vnc: bindings for Python (PyGTK).
+gtk-vnc:
+gtk-vnc:
+gtk-vnc:
+gtk-vnc:
+gtk-vnc: